'use strict';

const resolve = require('path').resolve;
const clean = require('clean-stack');

exports.find = str => {
	try {
		return require.resolve(resolve(str));
	} catch (err) {
		return false;
	}
};

exports.help = () => console.log(`
  Usage
    $ polkadot [options] <file>

  Options
    -h, --host   Host to listen on [Default: 0.0.0.0]
    -p, --port   Port to listen on [Default: 3000]
        --help   Display this help

  Examples
    $ polkadot server.js
    $ polkadot server.js --port 8080
`);

exports.error = (msg, err) => {
	let stack = '';
	if (msg) stack += `\n  Polkadot:\n    ${msg}`;
	if (err) stack += `\n  ${clean(err.stack)}`;
	stack += '\n';
	console.log(stack);
};

exports.isGenerator = fn => fn.constructor.name === 'GeneratorFunction';

